package com.hxhq.business.form.yq;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Excel;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author hanlong
 */
public class StorageLocationSearchForm {

    /** 放置地点 */
    private String location;

    /** 设备名称或编号 */
    private String name;

    /** 放置货架 */
    private String shelfPlacement;

    /** 温层 */
    private String compartment;

    /** 部门id */
    private Long deptId;

    /** 状态 1-禁用 10-启用 */
    private Integer status;

    private List<Long> deptIdList;

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShelfPlacement() {
        return shelfPlacement;
    }

    public void setShelfPlacement(String shelfPlacement) {
        this.shelfPlacement = shelfPlacement;
    }

    public String getCompartment() {
        return compartment;
    }

    public void setCompartment(String compartment) {
        this.compartment = compartment;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public List<Long> getDeptIdList() {
        return deptIdList;
    }

    public void setDeptIdList(List<Long> deptIdList) {
        this.deptIdList = deptIdList;
    }
}
